%define modname	Cache-Cache
Name:           perl-%{modname}
Version:        1.06
Release:        5.2
Summary:        Cache Interface
Requires:       perl
BuildRequires:  perl perl-Digest-SHA1 perl-Error perl-IPC-ShareLite
Requires:       perl-Digest-SHA1 perl-Error perl-IPC-ShareLite
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
The Cache modules are designed to assist a developer in persisting data for a
specified period of time. Often these modules are used in web applications to
store data locally to save repeated and redundant expensive calls to remote
machines or databases. People have also been known to use Cache::Cache for it's
straightforward interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use abstraction of
the filesystem or shared memory.

Authors:
--------
    DeWitt Clinton <dewitt@unto.net>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGES COPYING CREDITS DISCLAIMER README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Cache
%{perl_vendorarch}/auto/Cache
%if 0%{?suse_version} <= 1220
/var/adm/perl-modules/%{name}
%endif

%changelog
* Fri Oct 14 2011 Carsten Schoene <cs@linux-administrator.com> - 1.0.5-3
- update to release 1.06

* Thu Nov 01 2007 - James Oakley <jfunk@funktronics.ca> - 1.05-1
- Initial release
